use master
go

/*
* This script is used to create the objects to simulate SQL injection
* Created By Peter Torres
* April 28, 2009
*/


/**************************************************************************************************/
--create database
if not exists(select * from sys.databases where [name] = 'SecurityDemo')
	create database [SecurityDemo]
go

--create login
if not exists(select * from sys.syslogins where [name] = 'Dogg')	
	create login Dogg with password = 'BountyHunter', Check_Policy= Off, check_expiration= Off
	exec sp_addsrvrolemember 'Dogg','sysadmin'
go

/***************************************************************************************************/

use SecurityDemo
go


--create user
if not exists(select * from sys.database_principals where [name] = 'Dogg')
	create user [Dogg] for login [Dogg]
	exec sp_addrolemember 'db_owner','Dogg'
go

--drop the table if it exists
if(OBJECT_ID('logins','U')is not null)
drop table [dbo].[logins]
go

--create the login table
create table [dbo].[logins]
(
 [loginID] int identity(1,1)
	constraint pk_loginID primary key(LoginID),
 [UserName] varchar(50),
 [Password] varchar(50)
)
go

--add some mock data
insert into [dbo].[logins]
(
	[UserName],
	[Password]
)
select 'Admin','Admin1'
union select 'Me','Me2'
go

