using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using System.Configuration;

namespace SQLinjection
{    
    /// <summary>
    /// this class will get the database connection string from the web.config file.
    /// </summary>
    internal abstract class CommonConnection 
    {
        #region database connection
        internal protected SqlConnection GetSqlConnection()
        {
            string strConnStr = string.Empty;
            string strErrorMsg = string.Empty;
            
            try {
                strConnStr = ConfigurationManager.ConnectionStrings["LocalSqlServer"].ConnectionString;                

                //create a new instance of the connection class
                SqlConnection oConn = new SqlConnection();
                oConn.ConnectionString = strConnStr;
                
                return oConn;
            } 
            catch(SqlException sqex) 
            {                
                throw new Exception(sqex.GetBaseException().ToString());
            }
        }
        #endregion
    }
}
