﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace SQLinjection
{
    /// <summary>
    /// This partial class will simulate a flawed login application
    /// </summary>
    public partial class _Default : System.Web.UI.Page
    {
        #region private variables
        string login = string.Empty;
        string password = string.Empty;
        #endregion

        #region page load event
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            //clear fields when page first loads
            { btnReset_Click(this, EventArgs.Empty); }
        }
        #endregion

        #region submit button event
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            try
            {
                if (txtLogin.Text.Length > 0)
                {
                    login = txtLogin.Text;

                    if (TxtPassword.Text.Length > 0)
                    {
                        password = TxtPassword.Text;

                        DataTable dt = Login.get(login, password);

                        switch (dt.Rows.Count)
                        {
                            case 0:
                                lblError.Text = "Invalid log in or password";
                                break;
                            case 1:
                                Response.Redirect("GeneralAccess.aspx");
                                break;
                            case 2:
                                Response.Redirect("Webpage.aspx");
                                break;
                        }
                    }
                    else { lblError.Text = "Password cannot be blank"; }
                }
                else { lblError.Text = "login cannot be blank"; }
            }
            catch (Exception ex)
            {lblError.Text = string.Format("There was an error :{0}\r{1}",ex.Message,ex.StackTrace); }
        }
        #endregion

        #region reset button event
        protected void btnReset_Click(object sender, EventArgs e)
        {
            txtLogin.Text = string.Empty;
            TxtPassword.Text = string.Empty;
            lblError.Text = string.Empty;
        }
        #endregion
    }
}
